Bug 47717 - backspace comes out as ^?
Summary: backspace comes out as ^?
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: screen (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-06 18:01 UTC by Tim Waugh
Modified: 2007-04-18 16:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-26 09:01:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2001-07-06 18:01:15 UTC
Description of Problem:
Backspace comes out as ^?.

How Reproducible:
100%

Steps to Reproduce:
1. Run screen
2. Run cat
3. Press a, then backspace

Actual Results:
a^? is displayed

Expected Results:
a should be deleted

Additional Information:

Comment 1 Tim Waugh 2001-07-12 12:14:23 UTC
Putting 'bindkey -d -k kb stuff \010' in .screenrc fixes it.  This came from 
the default .screenrc in Seawolf, but is missing in the current tree.


Comment 2 Glen Foster 2001-07-13 22:16:02 UTC
This defect considered SHOULD-FIX for Fairfax gold-release.

Comment 3 David Balažic 2001-07-26 09:01:40 UTC
This is a screen bug.
Redhat uses a workaround ( 'bindkey -d -k kb stuff \010' in the /etc/screenrc )
screen-3.9.9-1 installs an empty /etc/screenrc -> see bug #49535

Comment 4 Crutcher Dunnavant 2001-08-03 20:50:43 UTC
fixed. (well, the hack is fixed.)

Comment 5 David Balažic 2004-06-18 11:39:43 UTC
Also see bug 11294 for reference on this problem.


Note You need to log in before you can comment on or make changes to this bug.